@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --tw-text-opacity: 1;
  --tw-bg-opacity: 1;
  --tw-border-opacity: 1;
}

@layer utilities {
  .bg-brand-crimson {
    background-color: rgba(220, 20, 60, var(--tw-bg-opacity));
  }

  .bg-brand-electricblue {
    background-color: rgba(29, 64, 199, var(--tw-bg-opacity));
  }

  .bg-brand-cyanblue {
    background-color: rgba(156, 200, 242, var(--tw-bg-opacity));
  }

  .border-brand-deepblue {
    border-color: rgba(5, 28, 45, var(--tw-border-opacity));
  }

  .text-brand-white {
    color: rgba(226, 232, 240, var(--tw-text-opacity));
  }

  @variants hover {

    .bg-brand-deepblue {
      background-color: rgba(5, 28, 45, var(--tw-bg-opacity));
    }
  }

  @variants dark {
    .bg-brand-deepblue {
      background-color: rgba(5, 28, 45, var(--tw-bg-opacity));
    }

    .border-brand-deepblue {
      border-color: rgba(5, 28, 45, var(--tw-border-opacity));
    }

    .text-brand-white {
      color: rgba(226, 232, 240, var(--tw-text-opacity));
    }
  }
}
